shishi_tkt_proxy_p(3)

NAME
shishi_tkt_proxy_p - API function

SYNOPSIS
#include <shishi.h>

int shishi_tkt_proxy_p(Shishi_tkt * tkt);

ARGUMENTS

Shishi_tkt * tkt
    input variable with ticket info.

DESCRIPTION
Determine if ticket is proxy ticket. The PROXY flag is set in a ticket by the TGS when it issues a proxy ticket. Application servers MAY check this flag and at their option they MAY require additional authentication from the agent presenting the proxy in order to provide an audit trail.

RETURN VALUE
Returns non-0 iff proxy flag is set in ticket.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.